<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from Ctfrsp.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="Ctfrsp" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 27-September-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>Ctfrsp</refname><refpurpose>Spectrogram Time Frequency distribution of a signal X</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [SP,T,F,norm] = Ctfrsp(X)
   [SP,T,F,norm] = Ctfrsp(X,T)
   [SP,T,F,norm] = Ctfrsp(X,T,N)
   [SP,T,F,norm] = Ctfrsp(X,T,N,H)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X        :</term>
      <listitem><para> Analyzed signal</para></listitem></varlistentry>
   <varlistentry><term>T        :</term>
      <listitem><para> the time instant(s)   (default : 1:length(X)).</para></listitem></varlistentry>
   <varlistentry><term>N        :</term>
      <listitem><para> number of frequency bins (default : length(X)).</para></listitem></varlistentry>
   <varlistentry><term>H        :</term>
      <listitem><para> frequency smoothing window, (default : Hamming(N/4)).</para></listitem></varlistentry>
   <varlistentry><term>SP       :</term>
      <listitem><para> Spectrogram</para></listitem></varlistentry>
   <varlistentry><term>F         :</term>
      <listitem><para> Vector of frequency bins</para></listitem></varlistentry>
   <varlistentry><term>NORM      :</term>
      <listitem><para> Vector of normalization applied at each time instant</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Computes the  spectrogram of a signal X
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = hilbert(sin(2*%pi*0.25*(1:128))+0.5*rand(1,128,'normal'));
[sp,T,F] = Ctfrsp(x,1:128,128);
grayplot(T,F,sp');
   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="Ctfrrsp">Ctfrrsp</link></member>
   <member><link linkend="Ctfrstft">Ctfrstft</link></member>
   <member><link linkend="Ctfrwv">Ctfrwv</link></member>
   <member><link linkend="Cwindow">Cwindow</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Sep 2010</member>
   <member>Emmanuel Roy - 2000</member>
   </simplelist>
</refsection>
</refentry>
